Still Using Selenium 2.x?

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

Still Using Selenium 2.x?

Jim Evans
If you're still using Selenium 2 and haven't upgraded to 3.x yet, we'd love to hear what's holding you back. Either a reply here or a direct email would be really helpful.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/3e39854b-3f6f-4138-8d82-e35d344bef4c%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

total QA
hi Jim,

We can use any version of selenium that is not an issue. But if we are using latest version of firefox then we have use the latest version of Selenium for communication.
Else it will not .We have to same thing for Chrome as well.

Regards,
total-qa.com

On Friday, June 15, 2018 at 9:18:27 PM UTC+5:30, Jim Evans wrote:
If you're still using Selenium 2 and haven't upgraded to 3.x yet, we'd love to hear what's holding you back. Either a reply here or a direct email would be really helpful.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/575971f7-45d5-4e84-b45c-d611afba90b1%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

⇜Krishnan Mahadevan⇝

@Total-QA,

Jim is the maintainer of the InternetExplorer C# bindings for Selenium and is part of the core development team in selenium/webdriver.

I believe he is basically trying to evaluate the reasons behind why a selenium user would want to stay back and use Selenium 2.0 even though its been quite sometime since Selenium 3.0 series has been released.

 

I don’t think he was basically asking for help with any issue but it was more of a feedback gathering exercise!

 

Thanks & Regards

Krishnan Mahadevan

 

"All the desirable things in life are either illegal, expensive, fattening or in love with someone else!"

My Scribblings @ http://wakened-cognition.blogspot.com/

My Technical Scribbings @ http://rationaleemotions.wordpress.com/

 

From: <[hidden email]> on behalf of total QA <[hidden email]>
Reply-To: <[hidden email]>
Date: Wednesday, June 20, 2018 at 2:20 PM
To: Selenium Users <[hidden email]>
Subject: [selenium-users] Re: Still Using Selenium 2.x?

 

hi Jim,

 

We can use any version of selenium that is not an issue. But if we are using latest version of firefox then we have use the latest version of Selenium for communication.

Else it will not .We have to same thing for Chrome as well.

 

Regards,

total-qa.com

On Friday, June 15, 2018 at 9:18:27 PM UTC+5:30, Jim Evans wrote:

If you're still using Selenium 2 and haven't upgraded to 3.x yet, we'd love to hear what's holding you back. Either a reply here or a direct email would be really helpful.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/575971f7-45d5-4e84-b45c-d611afba90b1%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/4ED942D1-DBBB-454B-8154-9F97BE75A050%40gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

total QA
Hi Krishnan,

Oh is it. Generally users which have not updated from 2.0 to 3.0 can still use 2.0 without any issues. But if they have updated the browser to the latest version then in those cases 
we might be need it. I have shared my thoughts on this.

Regards,
total-qa.com

On Wednesday, June 20, 2018 at 2:23:59 PM UTC+5:30, Krishnan Mahadevan wrote:

@Total-QA,

Jim is the maintainer of the InternetExplorer C# bindings for Selenium and is part of the core development team in selenium/webdriver.

I believe he is basically trying to evaluate the reasons behind why a selenium user would want to stay back and use Selenium 2.0 even though its been quite sometime since Selenium 3.0 series has been released.

 

I don’t think he was basically asking for help with any issue but it was more of a feedback gathering exercise!

 

Thanks & Regards

Krishnan Mahadevan

 

"All the desirable things in life are either illegal, expensive, fattening or in love with someone else!"

My Scribblings @ <a href="http://wakened-cognition.blogspot.com/" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwakened-cognition.blogspot.com%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHzOdYJCASIDF_28vQtkp9gnKAYSQ&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fwakened-cognition.blogspot.com%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHzOdYJCASIDF_28vQtkp9gnKAYSQ&#39;;return true;">http://wakened-cognition.blogspot.com/

My Technical Scribbings @ <a href="http://rationaleemotions.wordpress.com/" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Frationaleemotions.wordpress.com%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEcBOKyRn0lpL8LDbBuyAlKdwgXwQ&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Frationaleemotions.wordpress.com%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNEcBOKyRn0lpL8LDbBuyAlKdwgXwQ&#39;;return true;">http://rationaleemotions.wordpress.com/

 

From: <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="vLmllf4KAQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">seleniu...@googlegroups.com> on behalf of total QA <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="vLmllf4KAQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">tota...@...>
Reply-To: <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="vLmllf4KAQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">seleniu...@googlegroups.com>
Date: Wednesday, June 20, 2018 at 2:20 PM
To: Selenium Users <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="vLmllf4KAQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">seleniu...@googlegroups.com>
Subject: [selenium-users] Re: Still Using Selenium 2.x?

 

hi Jim,

 

We can use any version of selenium that is not an issue. But if we are using latest version of firefox then we have use the latest version of Selenium for communication.

Else it will not .We have to same thing for Chrome as well.

 

Regards,

<a href="http://total-qa.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Ftotal-qa.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNH_I9o1Y5-_hJUa-u9_1b2_CObblA&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Ftotal-qa.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNH_I9o1Y5-_hJUa-u9_1b2_CObblA&#39;;return true;">total-qa.com

On Friday, June 15, 2018 at 9:18:27 PM UTC+5:30, Jim Evans wrote:

If you're still using Selenium 2 and haven't upgraded to 3.x yet, we'd love to hear what's holding you back. Either a reply here or a direct email would be really helpful.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="vLmllf4KAQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">selenium-user...@googlegroups.com.
To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="vLmllf4KAQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">seleniu...@googlegroups.com.
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/selenium-users/575971f7-45d5-4e84-b45c-d611afba90b1%40googlegroups.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/selenium-users/575971f7-45d5-4e84-b45c-d611afba90b1%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/selenium-users/575971f7-45d5-4e84-b45c-d611afba90b1%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/selenium-users/575971f7-45d5-4e84-b45c-d611afba90b1%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/dbd8732a-aaca-4535-9858-6ed1f202f0db%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

⇜Krishnan Mahadevan⇝

I believe the entire exercise here is to figure out why people aren’t moving into using Selenium 3.0 and the core dev team would like to hear the actual reasons behind not doing so and it doesn’t have a lot to do with can we still use 2.0 series.

 

Thanks & Regards

Krishnan Mahadevan

 

"All the desirable things in life are either illegal, expensive, fattening or in love with someone else!"

My Scribblings @ http://wakened-cognition.blogspot.com/

My Technical Scribbings @ http://rationaleemotions.wordpress.com/

 

From: <[hidden email]> on behalf of total QA <[hidden email]>
Reply-To: <[hidden email]>
Date: Wednesday, June 20, 2018 at 2:32 PM
To: Selenium Users <[hidden email]>
Subject: Re: [selenium-users] Re: Still Using Selenium 2.x?

 

Hi Krishnan,

 

Oh is it. Generally users which have not updated from 2.0 to 3.0 can still use 2.0 without any issues. But if they have updated the browser to the latest version then in those cases 

we might be need it. I have shared my thoughts on this.

 

Regards,

total-qa.com

On Wednesday, June 20, 2018 at 2:23:59 PM UTC+5:30, Krishnan Mahadevan wrote:

@Total-QA,

Jim is the maintainer of the InternetExplorer C# bindings for Selenium and is part of the core development team in selenium/webdriver.

I believe he is basically trying to evaluate the reasons behind why a selenium user would want to stay back and use Selenium 2.0 even though its been quite sometime since Selenium 3.0 series has been released.

 

I don’t think he was basically asking for help with any issue but it was more of a feedback gathering exercise!

 

Thanks & Regards

Krishnan Mahadevan

 

"All the desirable things in life are either illegal, expensive, fattening or in love with someone else!"

My Scribblings @ http://wakened-cognition.blogspot.com/

My Technical Scribbings @ http://rationaleemotions.wordpress.com/

 

From: <<a href="javascript:" target="_blank">seleniu...@...> on behalf of total QA <<a href="javascript:" target="_blank">tota...@...>
Reply-To: <<a href="javascript:" target="_blank">seleniu...@...>
Date: Wednesday, June 20, 2018 at 2:20 PM
To: Selenium Users <<a href="javascript:" target="_blank">seleniu...@...>
Subject: [selenium-users] Re: Still Using Selenium 2.x?

 

hi Jim,

 

We can use any version of selenium that is not an issue. But if we are using latest version of firefox then we have use the latest version of Selenium for communication.

Else it will not .We have to same thing for Chrome as well.

 

Regards,

total-qa.com

On Friday, June 15, 2018 at 9:18:27 PM UTC+5:30, Jim Evans wrote:

If you're still using Selenium 2 and haven't upgraded to 3.x yet, we'd love to hear what's holding you back. Either a reply here or a direct email would be really helpful.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank">selenium-user...@....
To post to this group, send email to <a href="javascript:" target="_blank">seleniu...@....
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/575971f7-45d5-4e84-b45c-d611afba90b1%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/dbd8732a-aaca-4535-9858-6ed1f202f0db%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/4BC039BB-D3EB-4775-BEF5-7B83E1ADFECC%40gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

Jim Evans
The Selenium development team is starting planning for Selenium 4. In the process of that planning, we are trying to determine why a portion of the user base hasn’t updated to Selenium 3.x. We know there are people still using Selenium 2.x, even though no changes have been made to that release in a very long time. If the case is that users using 2.x don’t care about testing with modern browsers, that’s fine, but 2.x predates the final version of the W3C WebDriver Specification, and its changes to the communication protocol used by Selenium. There will come a time when Selenium 2.x may not be able to automate any modern browser, and I’m interested in, if you’re not using 3.x now, why.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/183a3c01-0e1d-4d65-b377-0a65ab579a62%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

Vinicius Diogo Melo
In reply to this post by Jim Evans
Some of the reasons we still use Selenium IDE 2.9.1:

-Lack of scheduler, we use the scheduler to run the tests suits everyday.

-No plugins, we use a file logging plugin to generate a log file of the execution, that file is read and edited by a .bat to send via e-mail.

-Lack of support for the scripts wrote in the old version, some crucial commands like "waitForX" is not in the new version, we have over 400 scripts, some with more than 5k lines, using "pause" is not an option.

-Every test case in the new version is generated in 1 single file in json format, this is bad for CVS control, in the old version every test case has it's own file, easy to manage and control via CVS.

On Friday, June 15, 2018 at 12:48:27 PM UTC-3, Jim Evans wrote:
If you're still using Selenium 2 and haven't upgraded to 3.x yet, we'd love to hear what's holding you back. Either a reply here or a direct email would be really helpful.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/117a73fc-09e4-4d93-87ac-493382dac0c0%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

David
In reply to this post by Jim Evans
I haven't worked in web app automation for a while now, but this is just my thoughts on the topic below. Btw Jim, have you gotten much direct message replies (outside this thread)? Perhaps we should cross post your question across the various Selenium forums (and slack group), etc.

I assume in this discussion, "if it ain't broken don't fix it" motto can apply as well, particularly if users don't need to upgrade to modern browsers for testing. And on that note, what are we considering "modern" here, latest and greatest or how many versions back from latest? After all, upgrading browsers and Selenium and verifying test infrastructure still runs reliably can be a pain that an organization might avoid until absolutely necessary, especially for major upgrades (2.x to 3.x).

I assume there could be users that might need to test/support modern and some legacy browsers as well (e.g. support a range of Firefox or Chrome browsers from older version X to modern Y). These users are in a dilemma and may need both Selenium versions unless 3.x has older browser support or 2.x is good enough for handling the most highest version the user needs to test/support (which might not be latest browser version).

And on this thread topic, what are the statistics so far, how many people still on 2.x vs 3.x? To warrant this original post.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/e9c9121c-c2f8-44aa-bb87-de16e018930c%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

brandoncogtest
In reply to this post by Jim Evans
I want to use 3 but my work only has 2 :( it makes it hard because i have to find workarounds for alot of stuff.

On Friday, June 15, 2018 at 10:48:27 AM UTC-5, Jim Evans wrote:
If you're still using Selenium 2 and haven't upgraded to 3.x yet, we'd love to hear what's holding you back. Either a reply here or a direct email would be really helpful.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/9b53940d-325f-4687-9970-e2a4259837ab%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

Jim Evans
In reply to this post by Vinicius Diogo Melo
Thank you for your reply, but I’m strictly speaking about the Selenium run time library. Selenium IDE is worth its own thread, but not something I’m interested in here.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/def8a2ac-2120-4d08-a7c7-cfb08a39059d%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

Jim Evans
In reply to this post by brandoncogtest
Why hasn’t your workplace updated to 3.x? What is stopping them from doing so? That’s the question I’m trying to get answered.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/2cf28d6a-3225-4cd9-afbd-f17571547d57%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Still Using Selenium 2.x?

Jim Evans
In reply to this post by David
I don’t have statistics, but I do have anecdotal evidence that there is some percentage of users that is still on 2.x. Your “if it ain’t broke” theory probably has some weight to it, particularly since the Chrome driver still implements the OSS dialect of the wire protocol. However, every implementation that does not already exclusively use the spec-compliant W3C dialect of the protocol (Edge, Safari, and yes, Chrome) is actively working on a spec-compliant driver that *does* use the new protocol. What this means is that eventually, the 2.x language bindings are likely to no longer work with any driver, at some point. It won’t be today or tomorrow, and likely won’t even be in the next few months, but it’s coming. Putting off the upgrade to 3.x is only delaying the inevitable and going to make the transition to a later Selenium version more painful. The development team has gone to great lengths to make 3.x a drop-in replacement for 2.x in most cases; as we are starting to plan the 4.x cycle, the same claim (drop-in replacement for 2.x) cannot be made at this time.

--
You received this message because you are subscribed to the Google Groups "Selenium Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/selenium-users/5dfb4a3a-9e4f-4a50-b190-a2ed08f3e5c5%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.